This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535808 - (RHQ-2466) Monitor/Schedules to have a "Select Enabled" and "Select Disabled" button
Monitor/Schedules to have a "Select Enabled" and "Select Disabled" button
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All All
medium Severity low (vote)
: ---
: ---
Assigned To: Mike Thompson
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2009-10-15 09:29 EDT by Galder Zamarreño
Modified: 2014-05-12 15:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-12 15:11:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Galder Zamarreño 2009-10-15 09:29:00 EDT
<galderz> pilhuhn, u know what it'd ee cool as well?
<pilhuhn> hm?
<galderz> in Monitor/Schedules have a button that says "Mark Enabled"
<pilhuhn> you mean per line?
<galderz> similar to Gmail where you can mark all unread messages in one go
<galderz> no, at the top a single button
<pilhuhn> Can't you just mark all and then click on enable at the bottom?
<galderz> but i don't wanna enable them
<galderz> i wanna select all enabled ones and set the collection interval to X
<galderz> so, rather than going individually selection each enabled one, have a button at the top that says "Mark enabled"
<galderz> and then all enabled ones will be marked
<pilhuhn> Ahh. Now I get it(?): You want a button that checks only the checkboxes of the enabled ones
<galderz> indeed
<galderz> u could have a similar button for "Mark disabled"
<galderz> it's like Gmail's "Mark read" or "Mark unread"
<pilhuhn> joseph is surely happy to implement that for you when he comes online
* pilhuhn is joking
<pilhuhn> Can you write a jira? I think this is a good idea and should not be too hard to implement
<galderz> rhq?
<pilhuhn> yes
Comment 1 Red Hat Bugzilla 2009-11-10 16:04:58 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2466
Comment 2 Sudhir D 2010-10-19 03:01:54 EDT
I tried this on the new rhq-server-4.0.0-SNAPSHOT build. Firstly, I did not see the button. I did see the drop down for the Enable column where I can sort by Enable which give me True and False rows. The true column is expanded but the False is not (even though I have metrics which is not enabled). I also, cannot collapse the True cloumn. 

Moving this back to ON_DEV.
Comment 3 John Mazzitelli 2011-04-01 11:16:46 EDT
the idea here is to have a "select enabled" and "select disabled" buttons so you can easily select the enabled or disabled items for easily disabling/enabling them or changing their coll intervals.
Comment 4 Heiko W. Rupp 2012-06-21 09:29:50 EDT
I think this may be obsolete with the latest GWT version ?

Note You need to log in before you can comment on or make changes to this bug.